Commit 2357c68d authored by Yann Mombrun's avatar Yann Mombrun
Browse files

WEBLAB-253 Update the bundle to work with latests portlets

WEBLAB-654 Try to fix logging issue... IMO it is still not clearly solved...

git-svn-id: svn://svn.forge.objectweb.org/svnroot/weblab/trunk/WebLabApplications/bundle@2822 a803c184-d8de-4a0e-a52b-d3eef88212b6
parent e29c1feb
......@@ -143,9 +143,7 @@
<exclude>WEB-INF/lib/model-1.2*</exclude>
<exclude>WEB-INF/lib/extended-1.2*</exclude>
<exclude>WEB-INF/lib/annotator-1.2*</exclude>
<exclude>WEB-INF/lib/log4j-*</exclude>
<exclude>WEB-INF/lib/commons-io-*</exclude>
<exclude>WEB-INF/lib/commons-logging-*</exclude>
<exclude>WEB-INF/lib/commons-codec-*</exclude>
<exclude>WEB-INF/lib/joda-time-*</exclude>
<exclude>WEB-INF/lib/xalan-*</exclude>
......@@ -156,14 +154,12 @@
<exclude>WEB-INF/lib/wsdl4j*</exclude>
<exclude>WEB-INF/lib/neethi*</exclude>
<exclude>WEB-INF/lib/rdf-helper-jena*</exclude>
<exclude>WEB-INF/lib/iri*</exclude>
<exclude>WEB-INF/lib/stax2-api-*</exclude>
<exclude>WEB-INF/lib/xml-resolver-*</exclude>
<exclude>WEB-INF/lib/asm-*</exclude>
<exclude>WEB-INF/lib/jaxb-impl-*</exclude>
<exclude>WEB-INF/lib/xml-apis-*</exclude>
<exclude>WEB-INF/lib/serializer-*</exclude>
<exclude>WEB-INF/lib/slf4j-*</exclude>
<exclude>WEB-INF/lib/xercesImpl-*</exclude>
<exclude>WEB-INF/lib/xmlschema-core-*</exclude>
<exclude>WEB-INF/lib/geronimo-javamail*</exclude>
......
<assembly
xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
<assembly xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2 http://maven.apache.org/xsd/assembly-1.1.2.xsd">
<id>libs</id>
<formats>
<format>dir</format>
</formats>
<includeBaseDirectory>false</includeBaseDirectory>
<dependencySets>
<dependencySet>
<outputDirectory>/</outputDirectory>
</dependencySet>
</dependencySets>
</assembly>
......@@ -70,12 +70,6 @@
<version>${weblab.weblab-portlet.version}</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>log4j</groupId>
<artifactId>log4j</artifactId>
<version>${log4j.version}</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>com.googlecode.json-simple</groupId>
<artifactId>json-simple</artifactId>
......
<assembly
xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
<assembly xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2 http://maven.apache.org/xsd/assembly-1.1.2.xsd">
<id>portlet</id>
<formats>
<format>war</format>
</formats>
<includeBaseDirectory>false</includeBaseDirectory>
<dependencySets>
<dependencySet>
<outputDirectory>/</outputDirectory>
......@@ -18,24 +18,19 @@
<exclude>WEB-INF/lib/extended-1.2*</exclude>
<exclude>WEB-INF/lib/annotator-1.2*</exclude>
<exclude>WEB-INF/lib/dataoperator*</exclude>
<exclude>WEB-INF/lib/log4j-*</exclude>
<exclude>WEB-INF/lib/commons-io-*</exclude>
<exclude>WEB-INF/lib/commons-logging-*</exclude>
<exclude>WEB-INF/lib/commons-codec-*</exclude>
<exclude>WEB-INF/lib/joda-time-*</exclude>
<exclude>WEB-INF/lib/xalan-*</exclude>
<exclude>WEB-INF/lib/xalan-*</exclude>
<exclude>WEB-INF/lib/spring-*</exclude>
<exclude>WEB-INF/lib/jena-2*</exclude>
<exclude>WEB-INF/lib/jena-*</exclude>
<exclude>WEB-INF/lib/rdf-helper-jena*</exclude>
<exclude>WEB-INF/lib/iri-*</exclude>
<exclude>WEB-INF/lib/stax2-api-*</exclude>
<exclude>WEB-INF/lib/xml-resolver-*</exclude>
<exclude>WEB-INF/lib/icu4j-*</exclude>
<exclude>WEB-INF/lib/asm-*</exclude>
<exclude>WEB-INF/lib/jaxb-impl-*</exclude>
<exclude>WEB-INF/lib/xml-apis-*</exclude>
<exclude>WEB-INF/lib/serializer-*</exclude>
<exclude>WEB-INF/lib/slf4j-*</exclude>
<exclude>WEB-INF/lib/xercesImpl-*</exclude>
<exclude>WEB-INF/lib/xmlschema-core-*</exclude>
<exclude>WEB-INF/lib/geronimo-javamail*</exclude>
......
......@@ -55,12 +55,6 @@
<version>${weblab.rdf-helper-jena-structure.version}</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>log4j</groupId>
<artifactId>log4j</artifactId>
<version>${log4j.version}</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>com.googlecode.json-simple</groupId>
<artifactId>json-simple</artifactId>
......
......@@ -20,7 +20,7 @@
<weblab.content-manager.version>1.4.0-SNAPSHOT</weblab.content-manager.version>
<weblab.weblab-portlet.version>1.2.2</weblab.weblab-portlet.version><!-- TODO -->
<weblab.weblab-portlet.version>${weblab.model.version}</weblab.weblab-portlet.version>
<!-- Common dependencies includes in parents of services-->
<commons-io.version>2.3</commons-io.version>
......@@ -41,7 +41,7 @@
<commons-codec.version>1.6</commons-codec.version>
<!-- Portlets common libraries --> <!-- TODO -->
<!-- Portlets common libraries -->
<json-simple.version>1.1</json-simple.version>
<taglib.version>1.1.2</taglib.version>
<jstl.version>1.2</jstl.version>
......@@ -51,7 +51,7 @@
<liferay.version>6.1.0.ce-ga1</liferay.version>
<petals.version>3.1.3</petals.version>
<!-- Server paths --> <!-- TODO -->
<!-- Server paths -->
<tomcat.path>apache-tomcat-${tomcat.version}</tomcat.path>
<liferay.tomcat.path>liferay-portal-6.1.0-ce-ga1/tomcat-7.0.23</liferay.tomcat.path>
<petals.path>petals-platform-${petals.version}</petals.path>
......@@ -68,12 +68,12 @@
<!-- Portlets versions -->
<portlet.launch-chain-portlet.version>1.5.1</portlet.launch-chain-portlet.version>
<portlet.result-portlet.version>1.4.2</portlet.result-portlet.version>
<portlet.document-viewer-portlet.version>1.6.1</portlet.document-viewer-portlet.version>
<portlet.advanced-search-portlet.version>1.7.1</portlet.advanced-search-portlet.version>
<portlet.metadata-portlet.version>1.1</portlet.metadata-portlet.version>
<portlet.facet-portlet.version>1.3.1</portlet.facet-portlet.version>
<portlet.launch-chain-portlet.version>1.6.0-SNAPSHOT</portlet.launch-chain-portlet.version>
<portlet.result-portlet.version>1.5.0-SNAPSHOT</portlet.result-portlet.version>
<portlet.document-viewer-portlet.version>1.7.0-SNAPSHOT</portlet.document-viewer-portlet.version>
<portlet.advanced-search-portlet.version>1.8.0-SNAPSHOT</portlet.advanced-search-portlet.version>
<portlet.metadata-portlet.version>1.2.0-SNAPSHOT</portlet.metadata-portlet.version>
<portlet.facet-portlet.version>1.3.1</portlet.facet-portlet.version><!-- TODO -->
<!-- Petals components and engines versions -->
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment